Summary: 	A utility for retrieving files using the HTTP or FTP protocols
Name: 		wget
Version: 	1.11
%define subrel 1
Release: 	%mkrel 1
Group: 		Networking/WWW
License: 	GPLv3+
URL: 		http://www.gnu.org/directory/GNU/wget.html
Source0:	ftp://prep.ai.mit.edu/pub/gnu/%{name}-%{version}.tar.bz2
# alt: ftp://ftp.gnu.org/gnu/wget/
Patch3:		wget-1.8-no-solaris-md5.h.patch
Patch4:		wget-1.11-etc.patch
Patch7:		wget-1.10-url_password.patch
Patch9:		wget-1.11-logstdout.patch
Patch10:	wget-1.10-referer-opt-typo.patch
Patch11:	wget-1.9.1-fix-fr-translation.patch
# needed by urpmi, inspired by http://matthewm.boedicker.org/code/src/wget_force_clobber.patch
Patch13:	wget-1.11-add-force-clobber-option.patch
Patch14:	wget-1.11.4-nullcerts.diff
Provides: 	webclient webfetch
BuildRequires:	gettext
BuildRequires:	openssl-devel
BuildRequires:	texinfo
#gw if patched:
#BuildRequires:  autoconf2.5
Requires(pre):	info-install
Requires(post):	info-install
BuildRoot: 	%_tmppath/%name-%version-%release-root


%description
GNU Wget is a file retrieval utility which can use either the HTTP or FTP
protocols. Wget features include the ability to work in the background
while you're logged out, recursive retrieval of directories, file name
wildcard matching, remote file timestamp storage and comparison, use of
Rest with FTP servers and Range with HTTP servers to retrieve files over
slow or unstable connections, support for Proxy servers, and
configurability.

%prep

%setup -q
%patch3 -p1 -b .md5
%patch4 -p1 -b .etc
%patch7 -p0 -b .url_password
%patch9 -p1 -b .logstdout
%patch10 -p0 -b .typo
%patch11 -p0 -b .frtypo
%patch13 -p1 -b .force-clobber
%patch14 -p0 -b .nullcerts

%build
#aclocal
./autogen.sh

%configure2_5x \
	--enable-ipv6 \
	--disable-rpath

%make

# all tests must pass (but where are they?)
%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std

install -m755 util/rmold.pl %{buildroot}/%{_bindir}/rmold

%find_lang %{name}

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%clean
rm -fr %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%verify(not md5 size mtime) %config(noreplace) %{_sysconfdir}/wgetrc
%doc AUTHORS ChangeLog MAILING-LIST NEWS README
%{_bindir}/*
%{_infodir}/*
%{_mandir}/man1/wget.1*


%changelog
* Tue Aug 18 2009 Oden Eriksson <oeriksson@mandriva.com> 1.11-1.1mdv2008.1
- P14: fix for a similar security issue as CVE-2009-2408 (suse)

* Mon Jan 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.11-1mdv2008.1
+ Revision: 159331
- update to the latest stable release 1.11
- nuke rpath
- patches 0 and 1 are not needed any more
- patch 12 has been merged upstream
- rework patches 4, 9 and 13
- new license policy
- do not package COPYING file

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jun 18 2007 Pixel <pixel@mandriva.com> 1.10.2-6mdv2008.0
+ Revision: 40995
- add --force-clobber option


* Thu Jan 18 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.10.2-5mdv2007.0
+ Revision: 110369
- security fix for CVE-2006-6719 (#28186)

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.10.2-4mdv2007.1
+ Revision: 86343
- Import wget

* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.10.2-4mdv2007.1
- bunzip patches

* Thu Dec 22 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.10.2-3mdk
- do not use file dependancy since this does not work with synthesis (#20285)
- add missing post requires

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.10.2-2mdk
- rebuilt against openssl-0.9.8a

* Fri Oct 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.10.2-1mdk
- 1.10.2
- Rediff patch 0
- Remove patch 2

* Fri Jul 29 2005 Pascal Terjan <pterjan@mandriva.org> 1.10-1mdk
- 1.10
- enable ipv6
- rediff patches 1, 7, 9, 10
- drop patches 6, 12, 13

* Wed Dec 15 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.1-5mdk
- rpmlint cleanups
- patch 13: large file support (anthill #1166)

* Thu Feb 19 2004 Abel Cheung <deaddog@deaddog.org> 1.9.1-4mdk
- Don't add obsolete Chinese translation
- configure2_5x, makeinstall_std

* Wed Feb 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.9.1-3mdk
- patch 12: fix utf8 encoding on console with de locale (#6597, Abel Cheung)

